Build SDK issue on Ubuntu14.04


#1

Product: [Bebop2]
Product version: [4.0.5]
SDK version: [ARDroneSDK3]
Use of libARController: [YES/NO] (Only for ARSDK)
SDK platform: [Unix-Ubuntu]
Reproductible with the official app: [YES/NO/Not tried]

//////////////////////////////////////////////////////////////////////////////////////////////////

Hi, I’m a new guy for coding on Linux and this is my first time to build ARSDK.
I meet a problem when I type "./build.sh -p arsdk-native -t build-sdk -j"
Here are the pictures below

As the picture, you can see the red line.
I don’t know how to correct it.
Could you help me to solve this problem?
Thanks a lot!


#2

You’re missing the zlib1g-dev package. You can install it with apt.

It is indeed missing from the documentations.

Regards,
Nicolas.


Error when build SDK3 on Ubuntu
#3

Thank you very much!
I build successfully and now I want to run the samples but I don’t know how to do it.
I read the API reference and get stuck in the steps as the picture below.

image

I don’t know what I should do now.
Could you please teach me about how to run samples in detail?
Thank you!


#4

After you have built BOTH the SDK and your sample, you can run them by typing :

./out/arsdk-native/staging/native-wrapper.sh ./out/arsdk-native/staging/usr/bin/NAME-OF-THE-SAMPLE-BUILT

If you have all the dependencies and everything has been built, it should begin its execution.

Hope that helped ! :slight_smile:


#5

It can work !!!
Thank you very much :smile: